dpkg-divert(1)

NOMBRE
dpkg-divert - Redefine la versión de un fichero del paquete

SINOPSIS
dpkg-divert [opción...] orden

DESCRIPCIÓN
dpkg-divert es una herramienta para configurar y actualizar la lista de redirecciones.

File diversions are a way of forcing dpkg(1) not to install a file into its location, but to a diverted location. Diversions can be used through the Debian package scripts to move a file away when it causes a conflict. System administrators can also use it to override some package's configuration file, or whenever some files (which aren't marked as “conffiles”) need to be preserved by dpkg, when installing a newer version of a package which contains those files.

ÓRDENES

[--add] fichero
    Añade una redirección para el fichero.

--remove fichero
    Elimina una redirección para el fichero.

--list comodín
    Lista las redirecciones que encajan con el comodín (patrón «glob»).

--listpackage fichero
    Print the name of the package that diverts file (since dpkg 1.15.0). Prints LOCAL if file is locally diverted and nothing if file is not diverted.

--truename fichero
    Muestra el nombre real del fichero redirigido.

OPCIONES

--admindir directorio
    Set the dpkg data directory to directory (default: /var/lib/dpkg).

--divert redirigir-a
    redirigir-a es la ubicación donde las versiones del fichero, tal y como otros paquetes lo ofrecen, se redirigirá.

--local
    Especifica que todas las versiones de los paquetes de este fichero se redirigirán. Esto es, sin excepciones, y sin importar qué paquete está instalado, el fichero se redirigirá. El administrador del sistema puede utilizar esto para instalar una versión modificada localmente.

--package paquete
    paquete es el nombre de un paquete cuya copia del fichero no se redirigirá. Por ejemplo, el fichero se redirigirá para todos los paquetes a excepción de paquete.

--quiet
    Modo silencioso, esto es: sin información detallada.

--rename
    Mueve el archivo a un lado (o atrás). dpkg-divert interrumpirá la operación en caso de que el fichero destino ya exista.

--test
    Modo de prueba, esto es, no realiza ningún cambio, sólo muestra su ejecución.

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

ENTORNO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

DPKG_MAINTSCRIPT_PACKAGE
    Si se define, y las opciones --local y --package no se definen, dpkg-divert lo utiliza como el nombre de paquete.

FICHEROS

/var/lib/dpkg/diversions
    File which contains the current list of diversions of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Nota: dpkg-divert preserva la copia antigua de este archivo, insertando la extensión -old antes de reemplazarlo con uno nuevo.

NOTAS
Al añadir redirecciones se usa --local y --divert original.distrib de forma predefinida. Al eliminar, --package o --local deben coincidir con --divert si se definen. Los directorios no se pueden redirigir con dpkg-divert. Care should be taken when diverting shared libraries, ldconfig(8) creates a symbolic link based on the DT_SONAME field embedded in the library. Because ldconfig doesn't honour diverts (only dpkg does), the symlink may end up pointing at the diverted library, if a diverted library has the same SONAME as the undiverted one.

EJEMPLOS
Para redireccionar todas las copias de /usr/bin/ejemplo a /usr/bin/ejemplo.foo; hará que todos los paquetes que provean /usr/bin/ejemplo lo instalen como /usr/bin/ejemplo.foo, renombrando el fichero en caso de ser necesario.

dpkg-divert --divert /usr/bin/ejemplo.foo --rename /usr/bin/ejemplo

Para eliminar esa redirección:

dpkg-divert --rename --remove /usr/bin/ejemplo

Para redireccionar cualquier paquete que instale /usr/bin/ejemplo como /usr/bin/ejemplo.foo, a excepción de su propio paquete wibble:

dpkg-divert --package wibble --divert /usr/bin/ejemplo.foo --rename /usr/bin/ejemplo

Para eliminar esa redirección:

dpkg-divert --package wibble --rename --remove /usr/bin/ejemplo

VÉASE TAMBIÉN
dpkg(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.